请各位老大一定帮忙解决这个困扰我半年难题。关于slickedit

为当前最终发行版之前的所有版本提供支持
回复
onlyflyer
帖子: 187
注册时间: 2005-04-20 18:42
送出感谢: 0
接收感谢: 0

请各位老大一定帮忙解决这个困扰我半年难题。关于slickedit

#1

帖子 onlyflyer » 2005-08-10 17:13

slickedit是我在linux下用过最方便的编辑器。emacs同样优秀,但是我slickedit更符合我的口味。

我一直喜欢用linux作开发环境,因为自己本身就是作linux底下的开发。但是由于linux下的slickedit不支持中文,我只好转向windows平台,使用windows下的slickedit.slickedit的windows版本对中文支持非常好。所以说,现在情况很麻烦,每次都要在windows下把代码写好,然后传到一个linux服务器上再编译,真的很麻烦。
要是slickedit的linux版本能显示中文就好了,我就不用去用windows了。
我以前曾经提出这个问题,但是一直没有得到解决,网上很多人也有同样的情况,但是都得不到解决。我真心希望各位老大能够帮忙研究一下。解决我的半年之痒。

还有我不喜欢用eclipse,因为用他分析c++或者c代码不太方便。我想要的就是slickedit

下面是slickedit10.0 linux版本的下载地址,下载时同时请下载破解文件
http://www.ttdown.com/SoftView/SoftView_30240.html
onlyflyer
帖子: 187
注册时间: 2005-04-20 18:42
送出感谢: 0
接收感谢: 0

#2

帖子 onlyflyer » 2005-08-10 17:15

这个问题让我郁闷好久了,请各位老大帮忙阿。
头像
yonsan
帖子: 887
注册时间: 2005-07-01 18:56
来自: 广州市
送出感谢: 0
接收感谢: 3 次

#3

帖子 yonsan » 2005-08-10 17:20

呵呵,用过一下,也是有你这样的问题,字体特难看!
所以始终还是用gvim !
I will be back!
onlyflyer
帖子: 187
注册时间: 2005-04-20 18:42
送出感谢: 0
接收感谢: 0

#4

帖子 onlyflyer » 2005-08-10 17:30

我找到显示中文的办法了
其实以前也试过这个办法,但是以前不行,但是现在可以了

方法如下:
显示应该可以,但不能输入中文
可以修改tools>>options>>file options为simple chinese2312
再把字体设为MS sans serif就可以了;

现在需要解决的就是如何输入中文。ctrl+space选项切换不出中文输入法来
头像
islet8
帖子: 76
注册时间: 2006-04-09 15:21
送出感谢: 0
接收感谢: 0
联系:

#5

帖子 islet8 » 2006-05-10 22:56

yonsan 写了:呵呵,用过一下,也是有你这样的问题,字体特难看!
所以始终还是用gvim !

字体在tools|options|font里能改的,我设着觉得还挺好看。。



另外楼上的方法我早也试过,没用,埃,而且不能输入中文还是没治本阿
头像
eexpress
帖子: 58428
注册时间: 2005-08-14 21:55
来自: 长沙
送出感谢: 4 次
接收感谢: 256 次

#6

帖子 eexpress » 2006-05-10 23:02

商业软件吧。支持utf8肯怕困难。vi支持utf8最好。win下面也不用这个吧。都是用source insight的。等anjuta 2.x出来,你就可以在lin这边用了的。
● 鸣学
头像
islet8
帖子: 76
注册时间: 2006-04-09 15:21
送出感谢: 0
接收感谢: 0
联系:

#7

帖子 islet8 » 2006-05-11 14:28

eexpress 写了:商业软件吧。支持utf8肯怕困难。vi支持utf8最好。win下面也不用这个吧。都是用source insight的。等anjuta 2.x出来,你就可以在lin这边用了的。

anjuta 2.x有什么特别好的新特性呢?相比slickedit来说
头像
eexpress
帖子: 58428
注册时间: 2005-08-14 21:55
来自: 长沙
送出感谢: 4 次
接收感谢: 256 次

#8

帖子 eexpress » 2006-05-11 15:46

slickedit我没用过,估计不会超过source insight。anjuta的代了IComplete(类结果成员补全)和IExplorer(鼠标快速浏览定义)的插件,就基本和source insight类似了,主要的功能达到了。只是gnome-cn的那个deb包编译不对,估计IExplorer插件作者不用debian系统的。IComplete的作者就一定要2.x才加。看了预览版本的截图,有些方面比si还好些。

有现成的当然大家应该支持linux的软件啊。开源的。
● 鸣学
头像
islet8
帖子: 76
注册时间: 2006-04-09 15:21
送出感谢: 0
接收感谢: 0
联系:

#9

帖子 islet8 » 2006-05-11 23:12

eexpress 写了:slickedit我没用过,估计不会超过source insight。anjuta的代了IComplete(类结果成员补全)和IExplorer(鼠标快速浏览定义)的插件,就基本和source insight类似了,主要的功能达到了。只是gnome-cn的那个deb包编译不对,估计IExplorer插件作者不用debian系统的。IComplete的作者就一定要2.x才加。看了预览版本的截图,有些方面比si还好些。

有现成的当然大家应该支持linux的软件啊。开源的。

恩,现在anjuta在源里还只是1.2.4,去它在sf的网页看居然2.x的比1.2.x的发布时间还早,不知道这个版本怎么回事
还有真的anjuta2.x什么时候会出呢?
回复

回到 “老旧版本支持”